<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Common\Languages\Language.xml" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Common\Languages\Language.xml" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="BCrypt.Net-Next" Version="4.0.3" />
    <PackageReference Include="HtmlAgilityPack" Version="1.12.4" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="9.0.10" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="9.0.10" />
    <PackageReference Include="Microsoft.Extensions.Caching.Abstractions" Version="9.0.10" />
    <PackageReference Include="Microsoft.Extensions.Configuration.EnvironmentVariables" Version="9.0.10" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="9.0.10" />
    <PackageReference Include="Microsoft.Extensions.Configuration.UserSecrets" Version="9.0.10" />
    <PackageReference Include="Microsoft.Extensions.Http" Version="9.0.10" />
    <PackageReference Include="Microsoft.Extensions.Http.Resilience" Version="9.10.0" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="9.0.4" />
    <PackageReference Include="NTextCat" Version="0.3.65" />
    <PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="9.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\JSMR.Application\JSMR.Application.csproj" />
    <ProjectReference Include="..\JSMR.Domain\JSMR.Domain.csproj" />
  </ItemGroup>

</Project>
